com.r3corda.node.internal.testing / MockNetwork / BasketOfNodes

# BasketOfNodes

`data class BasketOfNodes`

A bundle that separates the generic user nodes and service-providing nodes. A real network might not be so clearly separated, but this is convenient for testing.

### Constructors

<init> | `BasketOfNodes(partyNodes: List<MockNode>, notaryNode: MockNode, mapNode: MockNode)` A bundle that separates the generic user nodes and service-providing nodes. A real network might not be so clearly separated, but this is convenient for testing.

### Properties

mapNode | `val mapNode: MockNode`
notaryNode | `val notaryNode: MockNode`
partyNodes | `val partyNodes: List<MockNode>`